Bug 864499 - gluster volume geo-replication start --xml outputs wrong xml structure
gluster volume geo-replication start --xml outputs wrong xml structure
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 09:17 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:32:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-10-09 09:17:14 EDT
Current output:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <volGeoRep>
    <cmd-str>volume geo-replication music /tmp/t start start</cmd-str>
    <type>1</type>
    <slave>/tmp/t</slave>
    <master>music</master>
    <host-uuid>69dded11-dca1-4fec-869d-56db783e9e7e</host-uuid>
    <vol-id>b3114c71-741b-4c6f-a39e-80384c4ea3cf</vol-id>
    <glusterd_workdir>/var/lib/glusterd</glusterd_workdir>
  </volGeoRep>
</cliOutput>

Excepted output:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <opRet>0</opRet>
  <opErrno>0</opErrno>
  <opErrstr/>
</cliOutput>
Comment 1 Kaushal 2012-11-21 05:03:35 EST
Patch under review at http://review.gluster.org/4217
Comment 2 Vijay Bellur 2012-11-23 05:08:28 EST
CHANGE: http://review.gluster.org/4217 (cli: XML output for "geo-replication <VOL> {start|stop}") merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.